Bug 404611 - Date string doesn't always take up the full amount of available horizontal space with with a vertical panel
Summary: Date string doesn't always take up the full amount of available horizontal sp...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Digital Clock (show other bugs)
Version: 5.15.1
Platform: Archlinux Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-20 17:39 UTC by antnyzilla
Modified: 2019-03-13 16:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments
Very small date with vertical panel (33.65 KB, image/png)
2019-02-20 17:39 UTC, antnyzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description antnyzilla 2019-02-20 17:39:14 UTC
Created attachment 118224 [details]
Very small date with vertical panel

Using a vertical panel, the date is way too small. I would expect the proper thing to have happen is make use of the available horizontal space to present the date in a larger font size.

I've attached a screenshot.

1920x1080 on 15.4" laptop screen
Panel width set to 80px

If I edit the DigitalClock.qml file and change line 305:

From: 
height: Math.max(0.8 * timeLabel.height, minimumPixelSize)

To: 
height: sizehelper.contentHeight

The date font size matches the time font and now displays correctly.
Comment 1 Nate Graham 2019-02-20 19:42:07 UTC
Would you be interested in submitting a patch? It's not so hard, and we have great documentation:

- https://community.kde.org/Get_Involved/development
- https://community.kde.org/Infrastructure/Phabricator

I'd be happy to help you if you need a hand.

Also, can you verify that your proposed patch doesn't regress the appearance with a horizontal panel?
Comment 2 antnyzilla 2019-02-21 07:39:47 UTC
I've never submitted a patch before, but I followed the links and went through the process and submitted a change to Phabricator. It seems like I messed up the formatting of the commit message, but the change I wanted to make is there.

https://phabricator.kde.org/D19194

I tested the change tonight and didn't notice any issue with a horizontal panel. As far as I know it shouldn't have any effect on it.

With the vertical panel, all I'm doing is setting the date string height to the same size as the time string height. I've kept this change in my own modified plasmoid for quite a while now and haven't noticed any issues yet.

I don't know if there was a specific reason the date string was formatted the way it was before, so it's possible this isn't a good change but it seems to fix the issue I was having.
Comment 3 Nate Graham 2019-02-21 14:39:16 UTC
You did great, and on your first try too! I'm impressed. Let's continue the comments over on the review for your patch. Hopefully it will land soon.
Comment 4 Nate Graham 2019-03-13 16:14:06 UTC
Git commit 8f1b10b23a96eec525178d8ac314d6fd21ae44d5 by Nate Graham, on behalf of Antny Zilla.
Committed on 13/03/2019 at 15:58.
Pushed by ngraham into branch 'master'.

Adjust date string height to match time string with vertical panel

Summary:
Changes the height of the date string to match that of the
time string so the date is readable with a vertical panel

Reviewers: #vdg, #plasma, davidedmundson, Zren, ngraham, rooty

Reviewed By: #vdg, ngraham, rooty

Subscribers: rooty, cfeck, mart, ngraham, davidedmundson, Zren, abetts, anthonyfieroni, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D19194

M  +1    -1    applets/digital-clock/package/contents/ui/DigitalClock.qml

https://commits.kde.org/plasma-workspace/8f1b10b23a96eec525178d8ac314d6fd21ae44d5